#include <CITGroup.h>
#include <CITButton.h>

CITApp Application;

CITWorkbench myScreen;
CITWindow    myWindow;
CITVGroup    winGroup;
CITButton    quitButton;
CITButton    okButton;

void CloseEvent();
void QuitEvent(ULONG ID);

int main()
{
  BOOL Error=FALSE;

  myScreen.InsObject(myWindow,Error);
    myWindow.Position(WPOS_CENTERSCREEN);
    myWindow.CloseGadget();
    myWindow.DragBar();
    myWindow.SizeGadget();
    myWindow.DepthGadget();
    myWindow.IconifyGadget();
    myWindow.Caption("CITGadgets");
    myWindow.CloseEventHandler(CloseEvent);
    myWindow.DefaultFont("CGTimes.font",24,24);
    myWindow.InsObject(winGroup,Error);
      winGroup.BevelStyle();
      winGroup.BevelLabel("A text");
      winGroup.InsObject(okButton,Error);
        okButton.Text("Ok");
      winGroup.InsObject(quitButton,Error);
        quitButton.Text("Quit");
        quitButton.EventHandler(QuitEvent);

  Application.InsObject(myScreen,Error);

  // Ok?
  if( Error )
    return 10;

  Application.Run();

  return 0;
}

void CloseEvent()
{
  Application.Stop();
}

void QuitEvent(ULONG ID)
{
  Application.Stop();
}
